AMRESTORE(8)

NAME
amrestore - low-level data-extraction from Amanda volumes

SYNOPSIS

amrestore [--config config] [-r | -c | -C] [-b blocksize] [-f filenum] [-l label] [-p] [-h] [--exact-match] [--continue-on-filter-error] [-o configoption...] [{changerspec} | {[--holding] holdingfile}] [hostname [ diskname [ datestamp [ hostname [ diskname [ datestamp ... ] ] ] ] ]]

Note that this is the only Amanda command which does not take a configuration name as its first argument.

DESCRIPTION

Amrestore is a very low-level tool for extracting data from Amanda volumes. It does not consult any catalog information or other metadata, basing its operations only on the headers found on the volume. This makes it an appropriate tool for bare-metal restores of an Amanda server, or other situations where the catalog is not available.

See amfetchdump(8) and amrecover(8) for higher-level recoveries.

The tool does not reassemble split dumps, but can uncompress compressed dumps. Note that decompression may fail for split parts after the first. If this occurs, extract the parts without decompressing, concatenate them, and decompress the result.

Data is restored from the current volume in changerspec, or from the holding file holdingfile. In most cases, changerspec will name a particular device, e.g., tape:/dev/nst0 or s3:mybucket/tape-1.

Only dumps matching the dump specification beginning with hostname are extracted. If no specification is given, every file on the volume (or the entire holdingfile) is restored. See the "DUMP SPECIFICATIONS" section of amanda-match(7) for more information.

Unless -p is used, candidate backup images are extracted to files in the current directory named: hostname.diskname.datestamp.dumplevel

OPTIONS

-b blocksize
    Use the given blocksize to read the volume. The default is defined by the device.

-f filenum
    Seek to file filenum before beginning the restore operation.

-l label
    Check that the volume has label label.

-p
    Pipe the first matching file to standard output. This is typically used in a shell pipeline to send the data to a process like tar for extraction.

-c, -C
    If the file is not already compressed, compress it using the fastest (-c) or best (-C) compression algorithm. Note that amrestore will not re-compress an already-compressed file. Without either of these options, amrestore will automatically uncompress any compressed files. This option is useful when the destination disk is small.

-h
    Include 32k headers on all output files, similar to a holding file. This header can be read by another application or utility (see Amanda::Header) during the next phase of processing.

-r
    Output raw files. This is similar to -h, but also disables any automatic decompression and/or decryption. Output file names will have a .RAW extension.

--exact-match
    The host and disk are parsed as exact values.

--continue-on-filter-error
    continue to the next dump if a filter (decompression/decryption) fail.

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLES

The following does an interactive restore of disk rz3g from host seine, to restore particular files. Note the use of the b option to restore, which causes it to read in units of two 512-byte blocks (1 Kbyte) at a time. This helps keep it from complaining about short reads.
  amrestore -p /dev/nrmt9 seine rz3g | tar -xv

The next example extracts all backup images for host seine. This is a typical way to extract all data for a host after a disk crash.
  amrestore /dev/nrmt9 seine

If the backup datestamp in the above example is 20070125 and seine has level 0 backups of disks rz1a and rz1g on the tape, these files will be created in the current directory:
  seine.rz1a.19910125.0
  seine.rz1g.19910125.0

You may also use amrestore to extract a backup image from a holding disk file that has not yet been flushed to tape:
  amrestore -p /amanda/20001119/seine.rz1a.2 | tar -xv

CAVEATS

GNU-tar must be used to restore files from backup images created with the GNUTAR dumptype. Vendor tar programs sometimes fail to read GNU Tar images.

SEE ALSO

amanda(8), amanda-match(7), amfetchdump(8), amrecover(8)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>

Dustin J. Mitchell <dustin@zmanda.com>
    Zmanda, Inc. (http://www.zmanda.com)